package com.virjar.echo.adr.ui;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import com.virjar.echo.adr.R;
import com.virjar.echo.adr.component.LogServices;

public class LogFragment extends Fragment {

    private TextView logView;

    private boolean running = false;

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_log, container, false);

        logView = view.findViewById(R.id.tv_log);
        logView.setText(LogServices.logSnapshot());
        return view;
    }

    public void start() {
        if (running) {
            return;
        }
        running = true;
        updateLog();
    }

    public void stop() {
        running = false;
    }

    private void updateLog() {
        if (logView != null) {
            logView.setText(LogServices.logSnapshot());
        }

        if (!running) {
            return;
        }
        new Handler(Looper.getMainLooper()).postDelayed(new Runnable() {
            @Override
            public void run() {
                updateLog();
            }
        }, 500);
    }
}
